Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569617 - [RFE][mistral]: Add a Zaqar publisher for the notifier
Summary: [RFE][mistral]: Add a Zaqar publisher for the notifier
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-mistral
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/mist...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:12 UTC by Jason E. Rist
Modified: 2019-04-18 18:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 18:42:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 547666 0 None master: NEW mistral: [WIP] Experimental work adding a Zaqar event publisher (Ie427f2466e58935cfc65901d97988b67f28722dc) 2018-10-16 18:33:55 UTC

Description Jason E. Rist 2018-04-19 15:12:15 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/mistral/+spec/mistral-zaqar-publisher.

Description:

OpenStack users would benefit from receiving Mistral events. Mistral is capable of sending these but doesn't have a way to send events over Zaqar. These events would include information about when workflows start, stop, fail etc. and would allow the different clients to earlier detect changes and failures in Mistral.

If a workflow fails with an unhandled error, the clients may never receive notification of this. Currently they would need to poll mistral. However, with these notifications they would be sent by Mistral regardless of the workflow errors.

Mistral recently gained a notifier for sending event notifications. However, it doesn't currently support Zaqar. This support should be added. A rough patch which dosn't work, but is a start can be found here:

https://review.openstack.org/547666


Specification URL (additional information):

None

Comment 1 Jason E. Rist 2018-04-26 15:05:05 UTC
This could be very useful for the UI, especially given other RFEs/bugs like this:
https://bugzilla.redhat.com/show_bug.cgi?id=1567757

Comment 2 Jason E. Rist 2019-04-18 18:42:08 UTC
This was originally intended to help the TripleO-UI. It will not be making it in as the product faces deprecation soon. Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.